de.vc.jfo.writing

## Class CellStyle

- java.lang.Object
- - de.vc.jfo.writing.CellStyle

- All Implemented Interfaces:
    java.lang.Cloneable

      public class CellStyle
      extends java.lang.Object
      implements java.lang.Cloneable

  Defines style and properties a of table cell.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellStyle()` New cell style without border and padding.
    `CellStyle(int borderWidth)` Creates a new cell style with a solid black border.
    `CellStyle(int borderWidth, java.awt.Color borderColor)` Creates a new cell style with a solid border.
    `CellStyle(int borderWidth, int padding)` Creates a new cell style with a solid black border and padding (insets).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellStyle` | `cloned()` Clones this CellStyle.
    `Border` | `getBorder()` Gets the border of cell.
    `Padding` | `getPadding()` Gets the padding of cell (insets).
    `Values.DisplayAlignment` | `getVAlign()` Gets the vertical alignment of cell content.
    `void` | `setBorder(Border border)` Sets the border of cell.
    `void` | `setPadding(Padding padding)` Sets the padding of cell.
    `void` | `setVAlign(Values.DisplayAlignment vAlign)` Sets the vertical alignment of cell content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellStyle

          public CellStyle()

      New cell style without border and padding.

    - #### CellStyle

          public CellStyle(int borderWidth)

      Creates a new cell style with a solid black border.
      Parameters:
        `borderWidth` - Width of border in points.

    - #### CellStyle

          public CellStyle(int borderWidth,
                   java.awt.Color borderColor)

      Creates a new cell style with a solid border.
      Parameters:
        `borderWidth` - Width of border in points.
        `borderColor` - Color of border.

    - #### CellStyle

          public CellStyle(int borderWidth,
                   int padding)

      Creates a new cell style with a solid black border and padding (insets).
      Parameters:
        `borderWidth` - Border width.
        `padding` - Top, left, right and bottom padding (insets).

  - ### Method Detail

    - #### cloned

          public CellStyle cloned()

      Clones this CellStyle.
      Returns:
        Clone.

    - #### getBorder

          public Border getBorder()

      Gets the border of cell.
      Returns:
        Border.

    - #### getPadding

          public Padding getPadding()

      Gets the padding of cell (insets).
      Returns:
        Padding.

    - #### getVAlign

          public Values.DisplayAlignment getVAlign()

      Gets the vertical alignment of cell content.
      Returns:
        Vertical alignment.

    - #### setVAlign

          public void setVAlign(Values.DisplayAlignment vAlign)

      Sets the vertical alignment of cell content.
      Parameters:
        `vAlign` - Vertical alignment.

    - #### setPadding

          public void setPadding(Padding padding)

      Sets the padding of cell.
      Parameters:
        `padding` - Padding.

    - #### setBorder

          public void setBorder(Border border)

      Sets the border of cell.
      Parameters:
        `border` - Border.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.